Get Forecast Advanced PV

View as Markdown
GET/data/forecast/advanced_pv_power

Get high-spec PV power forecasts for the requested site from the present up to 14 days ahead, derived from satellite (clouds and irradiance over non-polar continental areas, nowcasted for approx. four hours ahead) and numerical weather models (other data and longer horizons).

Query Parameters

11 fields
resource_idrequired
string

The resource id of the resource.

hours
integer (int32)

The number of hours to return in the response.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
output_parameters
string[]

The output parameters to include in the response.

Accepted values
pv_power_advanced pv_power_advanced10 pv_power_advanced90
apply_availability
number (double)

Percentage of the site’s total AC (inverter) capacity that is currently generating or expected to be generating during the forecast request period. E.g. if you specify a 50% availability, your returned power will be half of what it otherwise would be.

apply_constraint
number (double)

Constraint on site’s total AC production, applied as a cap in the same way as the metadata parameter Site Export Limit. This will constrain all Solcast power values to be no higher than the apply_constraint value you specify. If you need an unconstrained forecast, you should not use this parameter.

apply_dust_soiling
number (double)

A user-override for dust_soiling_average. If you specify this parameter in your API call, we will replace the site's annual or monthly average dust soiling values with the value you specify in your API call.E.g. if you specify a 0.7 dust soiling, your returned power will be reduced by 70%.

apply_snow_soiling
number (double)

A user-override for Solcast’s dynamic snow soiling, which is based on global snow cover and weather forecast data, and changes from hour to hour. If you specify this parameter in your API call (e.g. if snow clearing has just been performed), we will replace the Solcast dynamic hour to hour value with the single value you specify. E.g. if you specify a 0.7 snow soiling, your returned power will be reduced by 70%.

apply_tracker_inactive
boolean

Indicating if trackers are inactive. If True, panels are assumed all facing up (i.e. zero rotation). Only has effect if your site has a tracking_type that is not “fixed”.

terrain_shading
boolean

If true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects.

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

ForecastsDataResponse
forecasts
object[]optional

GET/data/forecast/advanced_pv_power

Request
curl -X GET "https://api.solcast.com.au/data/forecast/advanced_pv_power?output_parameters=pv_power_advanced&resource_id=0000-0000-0000-0000&format=json" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "forecasts": [
    {
      "pv_power_advanced": 8.149,
      "period_end": "2026-08-07T02:30:00.0000000Z",
      "period": "PT30M"
    },
    {
      "pv_power_advanced": 8.267,
      "period_end": "2026-08-07T03:00:00.0000000Z",
      "period": "PT30M"
    },
    {
      "pv_power_advanced": 8.496,
      "period_end": "2026-08-07T03:30:00.0000000Z",
      "period": "PT30M"
    }
  ]
}

Get Live Advanced PV

View as Markdown
GET/data/live/advanced_pv_power

Get high spec PV power estimated actuals for near real-time and past 7 days for the requested site, derived from satellite (clouds and irradiance over non-polar continental areas) and numerical weather models (other data).

Query Parameters

11 fields
resource_idrequired
string

The resource id of the resource.

hours
integer (int32)

The number of hours to return in the response.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
output_parameters
string[]

The output parameters to include in the response.

Accepted values
pv_power_advanced
apply_availability
number (double)

Percentage of the site’s total AC (inverter) capacity that is currently generating or expected to be generating during the forecast request period. E.g. if you specify a 50% availability, your returned power will be half of what it otherwise would be.

apply_constraint
number (double)

Constraint on site’s total AC production, applied as a cap in the same way as the metadata parameter Site Export Limit. This will constrain all Solcast power values to be no higher than the apply_constraint value you specify. If you need an unconstrained forecast, you should not use this parameter.

apply_dust_soiling
number (double)

A user-override for dust_soiling_average. If you specify this parameter in your API call, we will replace the site's annual or monthly average dust soiling values with the value you specify in your API call.E.g. if you specify a 0.7 dust soiling, your returned power will be reduced by 70%.

apply_snow_soiling
number (double)

A user-override for Solcast’s dynamic snow soiling, which is based on global snow cover and weather forecast data, and changes from hour to hour. If you specify this parameter in your API call (e.g. if snow clearing has just been performed), we will replace the Solcast dynamic hour to hour value with the single value you specify. E.g. if you specify a 0.7 snow soiling, your returned power will be reduced by 70%.

apply_tracker_inactive
boolean

Indicating if trackers are inactive. If True, panels are assumed all facing up (i.e. zero rotation). Only has effect if your site has a tracking_type that is not “fixed”.

terrain_shading
boolean

If true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects.

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

EstimatedActualsDataResponse
estimated_actuals
object[]optional

GET/data/live/advanced_pv_power

Request
curl -X GET "https://api.solcast.com.au/data/live/advanced_pv_power?output_parameters=pv_power_advanced&resource_id=0000-0000-0000-0000&format=json" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "estimated_actuals": [
    {
      "pv_power_advanced": 8.149,
      "period_end": "2026-08-07T02:30:00.0000000Z",
      "period": "PT30M"
    },
    {
      "pv_power_advanced": 8.163,
      "period_end": "2026-08-07T02:00:00.0000000Z",
      "period": "PT30M"
    },
    {
      "pv_power_advanced": 8.308,
      "period_end": "2026-08-07T01:30:00.0000000Z",
      "period": "PT30M"
    }
  ]
}

Get Historic Advanced PV

View as Markdown
GET/data/historic/advanced_pv_power

Get historical advanced PV power estimated actuals for the requested location, derived from satellite (clouds and irradiance over non-polar continental areas) and numerical weather models (other data). Data is available from 2007-01-01T00:00Z to 7 days ago.

Query Parameters

14 fields
resource_idrequired
string

The resource id of the resource.

startrequired
string

ISO_8601 compliant starting datetime for the historical data. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed.

duration
string

Must include one of end_date and duration. ISO_8601 compliant duration for the historical data. Must be within 31 days of the start_date.

end
string

Must include one of end_date and duration. ISO_8601 compliant ending datetime for the historical data. Must be within 31 days of the start_date. If the supplied value does not specify a timezone, the timezone will be inferred from the time_zone parameter, if supplied. Otherwise UTC is assumed.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT30M.

Accepted values
PT5M PT10M PT15M PT20M PT30M PT60M
time_zone
string

Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset.

output_parameters
string[]

The output parameters to include in the response.

Accepted values
pv_power_advanced
apply_availability
number (double)

Percentage of the site’s total AC (inverter) capacity that is currently generating or expected to be generating during the forecast request period. E.g. if you specify a 50% availability, your returned power will be half of what it otherwise would be.

apply_constraint
number (double)

Constraint on site’s total AC production, applied as a cap in the same way as the metadata parameter Site Export Limit. This will constrain all Solcast power values to be no higher than the apply_constraint value you specify. If you need an unconstrained forecast, you should not use this parameter.

apply_dust_soiling
number (double)

A user-override for dust_soiling_average. If you specify this parameter in your API call, we will replace the site's annual or monthly average dust soiling values with the value you specify in your API call.E.g. if you specify a 0.7 dust soiling, your returned power will be reduced by 70%.

apply_snow_soiling
number (double)

A user-override for Solcast’s dynamic snow soiling, which is based on global snow cover and weather forecast data, and changes from hour to hour. If you specify this parameter in your API call (e.g. if snow clearing has just been performed), we will replace the Solcast dynamic hour to hour value with the single value you specify. E.g. if you specify a 0.7 snow soiling, your returned power will be reduced by 70%.

apply_tracker_inactive
boolean

Indicating if trackers are inactive. If True, panels are assumed all facing up (i.e. zero rotation). Only has effect if your site has a tracking_type that is not “fixed”.

terrain_shading
boolean

If true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects.

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

LiveResponse
estimated_actuals
object[]optional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
message
stringoptional
meta
objectoptional
stack_trace
stringoptional

GET/data/historic/advanced_pv_power

Request
curl -X GET "https://api.solcast.com.au/data/historic/advanced_pv_power?start=2026-01-01&duration=P1D&output_parameters=pv_power_advanced&resource_id=0000-0000-0000-0000&format=json" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "estimated_actuals": [
    {
      "pv_power_advanced": 2.634,
      "period_end": "2026-01-01T00:30:00+00:00",
      "period": "PT30M"
    },
    {
      "pv_power_advanced": 1.838,
      "period_end": "2026-01-01T01:00:00+00:00",
      "period": "PT30M"
    },
    {
      "pv_power_advanced": 1.584,
      "period_end": "2026-01-01T01:30:00+00:00",
      "period": "PT30M"
    }
  ]
}

Get TMY Advanced PV

View as Markdown
GET/data/tmy/advanced_pv_power

Get the Advanced PV power estimated actuals for a Typical Meteorological Year (TMY) at a requested advanced PV power site, derived from satellite (clouds and irradiance over non-polar continental areas) and numerical weather models (other data). The TMY is calculated with data from 2007 to 2025.

Query Parameters

14 fields
resource_idrequired
string

The resource id of the resource.

period
string

Length of the averaging period in ISO 8601 duration format. Default is PT60M.

Accepted values
PT15M PT20M PT30M PT60M
time_zone
string

Timezone to return in data set. Accepted values are utc, longitudinal, or a range from -13 to 13 in 0.25 hour increments for utc offset.

ghi_weight
number (double)

When creating the TMY, the weighting of GHI to use in the target parameter. Note that ghi_weight + dni_weight must equal 1.

dni_weight
number (double)

When creating the TMY, the weighting of DNI to use in the target parameter. Note that ghi_weight + dni_weight must equal 1.

probability
string

The probability percentile for the TMY.

Accepted values
p50p75p90p95
output_parameters
string[]

The output parameters to include in the response.

Accepted values
pv_power_advanced
apply_availability
number (double)

Percentage of the site’s total AC (inverter) capacity that is currently generating or expected to be generating during the forecast request period. E.g. if you specify a 50% availability, your returned power will be half of what it otherwise would be.

apply_constraint
number (double)

Constraint on site’s total AC production, applied as a cap in the same way as the metadata parameter Site Export Limit. This will constrain all Solcast power values to be no higher than the apply_constraint value you specify. If you need an unconstrained forecast, you should not use this parameter.

apply_dust_soiling
number (double)

A user-override for dust_soiling_average. If you specify this parameter in your API call, we will replace the site's annual or monthly average dust soiling values with the value you specify in your API call.E.g. if you specify a 0.7 dust soiling, your returned power will be reduced by 70%.

apply_snow_soiling
number (double)

A user-override for Solcast’s dynamic snow soiling, which is based on global snow cover and weather forecast data, and changes from hour to hour. If you specify this parameter in your API call (e.g. if snow clearing has just been performed), we will replace the Solcast dynamic hour to hour value with the single value you specify. E.g. if you specify a 0.7 snow soiling, your returned power will be reduced by 70%.

apply_tracker_inactive
boolean

Indicating if trackers are inactive. If True, panels are assumed all facing up (i.e. zero rotation). Only has effect if your site has a tracking_type that is not “fixed”.

terrain_shading
boolean

If true, irradiance parameters are modified based on the surrounding terrain from a 90m-horizontal-resolution digital elevation model. The direct component of irradiance is set to zero when the beam from the sun is blocked by the terrain. The diffuse component of irradiance is reduced throughout the day if the sky view at the location is significantly reduced by the surrounding terrain. Global irradiance incorporates both effects.

format
string

Response format. Default is HTML if not supplied.

Accepted values
jsoncsv

Responses

200

OK

TmyAdvancedPvPowerResponse
estimated_actuals
object[]optional

GET/data/tmy/advanced_pv_power

Request
curl -X GET "https://api.solcast.com.au/data/tmy/advanced_pv_power?output_parameters=pv_power_advanced&resource_id=0000-0000-0000-0000&format=json" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "estimated_actuals": [
    {
      "pv_power_advanced": 10,
      "period_end": "2059-01-01T01:00:00+00:00",
      "period": "PT60M"
    },
    {
      "pv_power_advanced": 10,
      "period_end": "2059-01-01T02:00:00+00:00",
      "period": "PT60M"
    },
    {
      "pv_power_advanced": 10,
      "period_end": "2059-01-01T03:00:00+00:00",
      "period": "PT60M"
    }
  ]
}

Create Site Measurements

View as Markdown
POST/utility_scale_sites/{resource_id}/measurements

Submit measurement data for an Advanced PV Power site. You can submit a single measurement, or an array of measurements. Maximum 1000 measurements per request.

Path Parameters

1 field
resource_idrequired
string

Request Body

2 fields
measurement
object

A measurement record submitted for an Advanced PV Power site.

view definition
period_end
string (date-time)requiredEnd of the measurement period (ISO-8601 with timezone, exclusive).
availability
number (double)optionalAvailability percentage (0-100).
constraint_power_ceiling
number (double)optionalPower ceiling imposed by a network constraint, in MW.
frequency
number (double)optionalGrid frequency during the measurement period, in Hz.
local_limit
number (double)optionalLocal power limit applied during the measurement period, in MW.
mean_ghi
integer (int32)optionalMean global horizontal irradiance for the measurement period, in W/m².
network_constraint
booleanoptionalWhether a network constraint affected the measurement period.
period
stringoptionalDuration of the measurement period (ISO-8601 duration, e.g., PT5M). Either 'period' or 'period_start' required.
total_power
number (double)optionalPower output in MW.
tracking_angle
integer (int32)optionalTracking angle applied during the measurement period, in degrees.
measurements
ApiPvUtilityMeasurement[]

Array of measurement records (1-1000).

view definition
period_end
string (date-time)requiredEnd of the measurement period (ISO-8601 with timezone, exclusive).
availability
number (double)optionalAvailability percentage (0-100).
constraint_power_ceiling
number (double)optionalPower ceiling imposed by a network constraint, in MW.
frequency
number (double)optionalGrid frequency during the measurement period, in Hz.
local_limit
number (double)optionalLocal power limit applied during the measurement period, in MW.
mean_ghi
integer (int32)optionalMean global horizontal irradiance for the measurement period, in W/m².
network_constraint
booleanoptionalWhether a network constraint affected the measurement period.
period
stringoptionalDuration of the measurement period (ISO-8601 duration, e.g., PT5M). Either 'period' or 'period_start' required.
total_power
number (double)optionalPower output in MW.
tracking_angle
integer (int32)optionalTracking angle applied during the measurement period, in degrees.

Responses

200

OK

CreatePvUtilityMeasurementResponse
measurement
ApiPvUtilityMeasurementoptionalview definition

A measurement record submitted for an Advanced PV Power site.

period_end
string (date-time)requiredEnd of the measurement period (ISO-8601 with timezone, exclusive).
availability
number (double)optionalAvailability percentage (0-100).
constraint_power_ceiling
number (double)optionalPower ceiling imposed by a network constraint, in MW.
frequency
number (double)optionalGrid frequency during the measurement period, in Hz.
local_limit
number (double)optionalLocal power limit applied during the measurement period, in MW.
mean_ghi
integer (int32)optionalMean global horizontal irradiance for the measurement period, in W/m².
network_constraint
booleanoptionalWhether a network constraint affected the measurement period.
period
stringoptionalDuration of the measurement period (ISO-8601 duration, e.g., PT5M). Either 'period' or 'period_start' required.
total_power
number (double)optionalPower output in MW.
tracking_angle
integer (int32)optionalTracking angle applied during the measurement period, in degrees.
measurements
ApiPvUtilityMeasurement[]optionalview definition
period_end
string (date-time)requiredEnd of the measurement period (ISO-8601 with timezone, exclusive).
availability
number (double)optionalAvailability percentage (0-100).
constraint_power_ceiling
number (double)optionalPower ceiling imposed by a network constraint, in MW.
frequency
number (double)optionalGrid frequency during the measurement period, in Hz.
local_limit
number (double)optionalLocal power limit applied during the measurement period, in MW.
mean_ghi
integer (int32)optionalMean global horizontal irradiance for the measurement period, in W/m².
network_constraint
booleanoptionalWhether a network constraint affected the measurement period.
period
stringoptionalDuration of the measurement period (ISO-8601 duration, e.g., PT5M). Either 'period' or 'period_start' required.
total_power
number (double)optionalPower output in MW.
tracking_angle
integer (int32)optionalTracking angle applied during the measurement period, in degrees.
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
message
stringoptional
meta
objectoptional
stack_trace
stringoptional
site_resource_id
stringoptional

POST/utility_scale_sites/{resource_id}/measurements

Request
curl -X POST "https://api.solcast.com.au/utility_scale_sites/0000-0000-0000-0000/measurements" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "measurement": {
    "period": "PT5M",
    "period_end": "2026-01-01T00:05:00.0000000Z",
    "total_power": 1
  }
}'
Response
live example
200
{
  "site_resource_id": "a144b308-6581-4924-9cc6-2e5b584a6bde",
  "measurement": {
    "period_end": "2024-07-01T00:00:00.0000000Z",
    "period": "string",
    "total_power": 1,
    "availability": 1,
    "mean_ghi": 42,
    "tracking_angle": 42,
    "network_constraint": true,
    "constraint_power_ceiling": 1,
    "local_limit": 1,
    "frequency": 1
  },
  "measurements": [
    {
      "period_end": "2024-07-01T00:00:00.0000000Z",
      "period": "string",
      "total_power": 1,
      "availability": 1,
      "mean_ghi": 42,
      "tracking_angle": 42,
      "network_constraint": true,
      "constraint_power_ceiling": 1,
      "local_limit": 1,
      "frequency": 1
    }
  ],
  "response_status": {
    "error_code": "string",
    "message": "string",
    "stack_trace": "string",
    "errors": [
      {
        "error_code": null,
        "field_name": null,
        "message": null,
        "meta": null
      }
    ],
    "meta": {}
  }
}

List Resources

View as Markdown
GET/resources/pv_power_sites

Lists all PV power sites accessible to the authenticated user. Supports pagination (skip/take), entitlement filtering (advanced/premium), and date range filtering (start/end).

Query Parameters

7 fields
start
string (date-time)

Filter to sites created on or after this date (ISO 8601 format).

end
string (date-time)

Filter to sites created before this date (ISO 8601 format).

entitlement
string

Optional filter for site entitlement.

Accepted values
advancedpremium
show_all
boolean

When true, returns all sites in the system. Requires admin privileges.

query
string

Search query for site name or resource ID.

forecast_production
boolean

Filter to sites where ML forecast production is enabled (premium only).

format
string

Response format

Accepted values
jsoncsv

Responses

200

OK

QueryResponse_PvPowerResource
meta
objectoptional
offset
integer (int32)optional
response_status
ResponseStatusoptionalview definition
error_code
stringoptional
errors
ResponseError[]optionalview definition
error_code
stringoptional
field_name
stringoptional
message
stringoptional
meta
objectoptional
message
stringoptional
meta
objectoptional
stack_trace
stringoptional
results
PvPowerResource[]optionalview definition
capacity
number (double)requiredTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)requiredTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
install_date
string (date-time)requiredThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
name
stringrequiredThe name of the resource.
resource_id
stringrequiredThe unique identifier of the resource.
tracking_type
stringrequiredThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
total
integer (int32)optional

GET/resources/pv_power_sites

Request
curl -X GET "https://api.solcast.com.au/resources/pv_power_sites?format=json" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "offset": 0,
  "total": 788,
  "results": [
    {
      "resource_id": "0000-0000-0000-0000",
      "name": "Site Name",
      "latitude": 8.2246,
      "longitude": -73.323238,
      "capacity": 34.88,
      "capacity_dc": 40.96,
      "azimuth": 152.5,
      "tilt": 10.4,
      "tracking_type": "fixed",
      "install_date": "2023-08-01T07:00:00.0000000Z",
      "grid_export_limit": 35,
      "module_type": "mono-si",
      "ground_coverage_ratio": 0.626,
      "derating_temp_module": 0.0034,
      "derating_age_system": 0.0045,
      "derating_other_system": 0.0525,
      "inverter_peak_efficiency": 0.95,
      "tracker_axis_azimuth": 0,
      "tracker_max_rotation_angle": 60,
      "tracker_back_tracking": true,
      "tracker_smart_tracking": false,
      "terrain_slope": 0,
      "terrain_azimuth": 0,
      "dust_soiling_average": [
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015
      ],
      "bifacial_system": true,
      "site_ground_albedo": 0.25,
      "bifaciality_factor": 0.7,
      "pvrow_height": 1.5,
      "pvrow_width": 2
    },
    {
      "resource_id": "0000-0000-0000-0000",
      "name": "Site Name",
      "latitude": -33.856784,
      "longitude": 151.215297,
      "capacity": 10,
      "capacity_dc": 15,
      "tracking_type": "horizontal_single_axis",
      "install_date": "2021-07-01T00:00:00.0000000Z",
      "module_type": "poly-si",
      "ground_coverage_ratio": 0.36,
      "derating_temp_module": 0.0039,
      "derating_age_system": 0.0059,
      "derating_other_system": 0.035,
      "inverter_peak_efficiency": 0.985,
      "tracker_axis_azimuth": 0,
      "tracker_max_rotation_angle": 60,
      "tracker_back_tracking": true,
      "tracker_smart_tracking": false,
      "terrain_slope": 0,
      "terrain_azimuth": 0,
      "dust_soiling_average": [
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015
      ],
      "bifacial_system": false,
      "site_ground_albedo": 0.25,
      "bifaciality_factor": 0.7,
      "pvrow_height": 1.5,
      "pvrow_width": 2
    },
    {
      "resource_id": "0000-0000-0000-0000",
      "name": "Site Name",
      "latitude": -33.856784,
      "longitude": 151.215297,
      "capacity": 10,
      "capacity_dc": 15,
      "azimuth": 0,
      "tilt": 30.22,
      "tracking_type": "horizontal_single_axis",
      "install_date": "2021-07-01T00:00:00.0000000Z",
      "module_type": "poly-si",
      "ground_coverage_ratio": 0.47,
      "derating_temp_module": 0.0039,
      "derating_age_system": 0.0059,
      "derating_other_system": 0.07,
      "inverter_peak_efficiency": 0.985,
      "tracker_axis_azimuth": 0,
      "tracker_max_rotation_angle": 60,
      "tracker_back_tracking": true,
      "tracker_smart_tracking": false,
      "terrain_slope": 0,
      "terrain_azimuth": 0,
      "dust_soiling_average": [
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015,
        0.015
      ],
      "bifacial_system": false,
      "site_ground_albedo": 0.25,
      "bifaciality_factor": 0.7,
      "pvrow_height": 1.5,
      "pvrow_width": 2
    }
  ]
}

Create Resource

View as Markdown
POST/resources/pv_power_site

Request Body

31 fields
capacityrequired
number (double)

Total inverter (nameplate) capacity in MW.

capacity_dcrequired
number (double)

Total module capacity in MW.

tracking_typerequired
string

The type of sun-tracking configuration.

install_daterequired
string (date-time)

The date when the site was installed.

namerequired
string

The name of the resource.

latituderequired
number (double)

The latitude of the resource. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the resource. Must be a decimal number between -180 and 180.

entitlement
string

Entitlement for the site.

Accepted values
advancedpremium
azimuth
number (double)

The angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tilt
number (double)

The off-horizontal tilt angle of modules for a fixed-tilt site.

grid_export_limit
number (double)

The maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.

module_type
string

The type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.

ground_coverage_ratio
number (double)

The proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.

derating_temp_module
number (double)

The factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.

derating_age_system
number (double)

The factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.

derating_other_system
number (double)

The total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.

inverter_peak_efficiency
number (double)

The peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.

tracker_axis_azimuth
number (double)

The off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tracker_max_rotation_angle
number (double)

The maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_back_tracking
boolean

Whether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_smart_tracking
boolean

Whether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

terrain_slope
number (double)

The average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.

terrain_azimuth
number (double)

The average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

dust_soiling_average
number[]

The average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.

bifacial_system
boolean

Bifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.

site_ground_albedo
number (double)

The proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.

bifaciality_factor
number (double)

For bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.

pvrow_height
number (double)

The height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.

pvrow_width
number (double)

The width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.

clearsky_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model clear-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional

Responses

200

OK

PvPowerResource
capacity
number (double)requiredTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)requiredTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
install_date
string (date-time)requiredThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
name
stringrequiredThe name of the resource.
resource_id
stringrequiredThe unique identifier of the resource.
tracking_type
stringrequiredThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

POST/resources/pv_power_site

Request
curl -X POST "https://api.solcast.com.au/resources/pv_power_site" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "capacity": 5,
  "capacity_dc": 5,
  "tracking_type": "fixed",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "name": "Site Name",
  "latitude": -33.8567,
  "longitude": 151.2152
}'
Response
live example
200
{
  "resource_id": "0000-0000-0000-0000",
  "name": "Site Name",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "capacity_dc": 5,
  "azimuth": 0,
  "tilt": 20,
  "tracking_type": "string",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "grid_export_limit": 1,
  "module_type": "string",
  "ground_coverage_ratio": 1,
  "derating_temp_module": 1,
  "derating_age_system": 1,
  "derating_other_system": 1,
  "inverter_peak_efficiency": 1,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 1,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": true,
  "terrain_slope": 1,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    1
  ],
  "bifacial_system": true,
  "site_ground_albedo": 1,
  "bifaciality_factor": 1,
  "pvrow_height": 1,
  "pvrow_width": 1,
  "clearsky_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ],
  "cloudy_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ]
}

Get Resource

View as Markdown
GET/resources/pv_power_site

Query Parameters

2 fields
resource_idrequired
string

The unique identifier of the resource.

format
string

Response format

Accepted values
jsoncsv

Responses

200

OK

PvPowerResource
capacity
number (double)requiredTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)requiredTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
install_date
string (date-time)requiredThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
name
stringrequiredThe name of the resource.
resource_id
stringrequiredThe unique identifier of the resource.
tracking_type
stringrequiredThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

GET/resources/pv_power_site

Request
curl -X GET "https://api.solcast.com.au/resources/pv_power_site?resource_id=0000-0000-0000-0000&format=json" \
  -H "Authorization: Bearer $API_KEY"
Response
live example
200
{
  "resource_id": "0000-0000-0000-0000",
  "name": "Site Name",
  "latitude": -33.856784,
  "longitude": 151.215297,
  "capacity": 10,
  "capacity_dc": 15,
  "azimuth": 0,
  "tilt": 30.22,
  "tracking_type": "horizontal_single_axis",
  "install_date": "2021-07-01T00:00:00.0000000Z",
  "module_type": "poly-si",
  "ground_coverage_ratio": 0.47,
  "derating_temp_module": 0.0039,
  "derating_age_system": 0.0059,
  "derating_other_system": 0.07,
  "inverter_peak_efficiency": 0.985,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 60,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": false,
  "terrain_slope": 0,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    0.015,
    0.015,
    0.015
  ],
  "bifacial_system": false,
  "site_ground_albedo": 0.25,
  "bifaciality_factor": 0.7,
  "pvrow_height": 1.5,
  "pvrow_width": 2
}

Patch Resource

View as Markdown
PATCH/resources/pv_power_site

Request Body

32 fields
resource_idrequired
string

The unique identifier of the resource.

name
string

The name of the resource.

latitude
number (double)

The latitude of the resource. Must be a decimal number between -90 and 90.

longitude
number (double)

The longitude of the resource. Must be between -180 and 180.

capacity
number (double)

Total inverter capacity in MW.

capacity_dc
number (double)

Total module capacity in MW.

azimuth
number (double)

The azimuth angle of the modules.

tilt
number (double)

The off-horizontal tilt angle of modules.

tracking_type
string

The type of sun-tracking configuration.

install_date
string (date-time)

The date when the site was installed.

grid_export_limit
number (double)

The maximum power export limit in MW.

module_type
string

The type of material or technology used in the PV modules.

ground_coverage_ratio
number (double)

The proportion of ground area covered by modules.

derating_temp_module
number (double)

The module temperature derating factor.

derating_age_system
number (double)

The annual system age derating factor.

derating_other_system
number (double)

The total system losses factor.

inverter_peak_efficiency
number (double)

The peak inverter efficiency value.

tracker_axis_azimuth
number (double)

The azimuth angle of the tracking axis.

tracker_max_rotation_angle
number (double)

The maximum tracker rotation angle.

tracker_back_tracking
boolean

Whether trackers backtrack at low solar elevation angles.

tracker_smart_tracking
boolean

Whether trackers move to horizontal during cloudy periods.

terrain_slope
number (double)

The average terrain slope in degrees.

terrain_azimuth
number (double)

The downhill direction of the average terrain slope.

dust_soiling_average
number[]

The average proportion of module production lost to dust soiling.

bifacial_system
boolean

Whether the system uses bifacial modules.

site_ground_albedo
number (double)

The proportion of incident irradiance reflected by the ground.

bifaciality_factor
number (double)

The module rear efficiency as a proportion of front efficiency.

pvrow_height
number (double)

The height of the module rows in metres.

pvrow_width
number (double)

The width of the module rows in metres.

clearsky_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model clear-sky solar zenith irradiance.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model cloudy-sky solar zenith irradiance.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
forecast_production_enabled
boolean

Indicates whether ML forecast production is enabled for this site.

Responses

200

OK

PvPowerResource
capacity
number (double)requiredTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)requiredTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
install_date
string (date-time)requiredThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
name
stringrequiredThe name of the resource.
resource_id
stringrequiredThe unique identifier of the resource.
tracking_type
stringrequiredThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

PATCH/resources/pv_power_site

Request
curl -X PATCH "https://api.solcast.com.au/resources/pv_power_site" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "resource_id": "0000-0000-0000-0000",
  "name": "Site Name",
  "latitude": -33.8567,
  "longitude": 151.2152
}'
Response
live example
200
{
  "resource_id": "0000-0000-0000-0000",
  "name": "Site Name",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "capacity_dc": 5,
  "azimuth": 0,
  "tilt": 20,
  "tracking_type": "string",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "grid_export_limit": 1,
  "module_type": "string",
  "ground_coverage_ratio": 1,
  "derating_temp_module": 1,
  "derating_age_system": 1,
  "derating_other_system": 1,
  "inverter_peak_efficiency": 1,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 1,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": true,
  "terrain_slope": 1,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    1
  ],
  "bifacial_system": true,
  "site_ground_albedo": 1,
  "bifaciality_factor": 1,
  "pvrow_height": 1,
  "pvrow_width": 1,
  "clearsky_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ],
  "cloudy_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ]
}

Update Resource

View as Markdown
PUT/resources/pv_power_site

Request Body

31 fields
capacityrequired
number (double)

Total inverter (nameplate) capacity in MW.

capacity_dcrequired
number (double)

Total module capacity in MW.

tracking_typerequired
string

The type of sun-tracking or geometry configuration of your site's modules.

install_daterequired
string (date-time)

The date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.

resource_idrequired
string

The unique identifier of the resource.

namerequired
string

The name of the resource.

latituderequired
number (double)

The latitude of the resource. Must be a decimal number between -90 and 90.

longituderequired
number (double)

The longitude of the resource. Must be a decimal number between -180 and 180.

azimuth
number (double)

The angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tilt
number (double)

The off-horizontal tilt angle of modules for a fixed-tilt site.

grid_export_limit
number (double)

The maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.

module_type
string

The type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.

ground_coverage_ratio
number (double)

The proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.

derating_temp_module
number (double)

The factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.

derating_age_system
number (double)

The factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.

derating_other_system
number (double)

The total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.

inverter_peak_efficiency
number (double)

The peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.

tracker_axis_azimuth
number (double)

The off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

tracker_max_rotation_angle
number (double)

The maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_back_tracking
boolean

Whether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

tracker_smart_tracking
boolean

Whether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

terrain_slope
number (double)

The average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.

terrain_azimuth
number (double)

The average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.

dust_soiling_average
number[]

The average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.

bifacial_system
boolean

Bifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.

site_ground_albedo
number (double)

The proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.

bifaciality_factor
number (double)

For bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.

pvrow_height
number (double)

The height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.

pvrow_width
number (double)

The width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.

clearsky_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model clear-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

view definition
day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional

Responses

200

OK

PvPowerResource
capacity
number (double)requiredTotal inverter (nameplate) capacity in MW. This is the highest potential output of the system before any Site Export Limit is applied. It is used to model the conversion of DC power to AC by your inverters.
capacity_dc
number (double)requiredTotal module capacity in MW. Usually slightly higher than the AC capacity. It is used to model the generation of DC power by your modules.
install_date
string (date-time)requiredThe date when your site was installed. It is used to derate your module (DC) production gradually with age, at a rate dependent on your Module Type.
latitude
number (double)requiredThe latitude of the resource. Must be a decimal number between -90 and 90.
longitude
number (double)requiredThe longitude of the resource. Must be a decimal number between -180 and 180.
name
stringrequiredThe name of the resource.
resource_id
stringrequiredThe unique identifier of the resource.
tracking_type
stringrequiredThe type of sun-tracking or geometry configuration of your site's modules. It is used to calculate the incident irradiance for your modules.
azimuth
number (double)optionalThe angle from true north the modules are facing. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
bifacial_system
booleanoptionalBifacial systems have modules that produce solar power not only from the front, but also the rear side of the panel. Used to create additional parameters that will allow us to model your production more accurately.
bifaciality_factor
number (double)optionalFor bifacial modules, the module rear efficiency as a proportion of the front efficiency subject to the same irradiance. Used to calculate the module rear production for bifacial systems.
clearsky_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model clear-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
cloudy_zenith_coefficients
ZenithCoefficients[]optionalview definition

Coefficients used to model cloudy-sky solar zenith irradiance for the resource.

day_of_year
integer (int32)optional
signed_zenith_coefficients
objectoptional
derating_age_system
number (double)optionalThe factor by which the whole system will be derated per year since Install Date. It is used to calculate time dependent system loss.
derating_other_system
number (double)optionalThe total system losses as a fraction of the total energy output. This excludes shading, soiling, snow, inverter, temperature and age. Includes losses such as wiring.
derating_temp_module
number (double)optionalThe factor by which your site’s module (DC) production varies with differences in temperature from standard operating conditions ( 25 oC ). Can be found on module spec sheets and its often referred as: temperature coefficient of power or pmp.
dust_soiling_average
number[]optionalThe average proportion of module production lost due to dust soiling. The value entered should reflect the impact of cleaning activity at your site. It is used to calculate the module (DC) production.
grid_export_limit
number (double)optionalThe maximum power export limit in MW that is allowed by the site’s connection with the network operator. It is used to place a final cap on your AC power output. Only impacts your AC power if the grid export limit is set lower than the AC capacity.
ground_coverage_ratio
number (double)optionalThe proportion of the site's ground area covered by modules. It is used to calculate the incident irradiance for your modules.
inverter_peak_efficiency
number (double)optionalThe peak efficiency value in your inverter efficiency curve. It is used to scale the conversion efficiency of DC to AC, as a function of the inverter load.
module_type
stringoptionalThe type of material or technology used in your site's PV modules. It is used to estimate your module temperature derating coefficient (unless you specify your own coefficient), and used to estimate your module age derating.
pvrow_height
number (double)optionalThe height of the module rows, in metres, measured from the ground to the row center or axis. Used to calculate the module rear incident irradiance and production for bifacial systems.
pvrow_width
number (double)optionalThe width of the module rows, in metres. This is the cross-section width of the entire PV row. Used to calculate the module rear incident irradiance and production for bifacial systems.
site_ground_albedo
number (double)optionalThe proportion of the incident downward irradiance reflected by the ground surface in the area underneath the PV modules. Used to calculate local ground-reflected irradiance. Particularly important for bifacial systems.
terrain_azimuth
number (double)optionalThe average terrain slope downhill direction. North is 0, South is ±180, Eastward is negative values. Westward is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
terrain_slope
number (double)optionalThe average terrain slope in degrees from horizontal of your site. A site with no terrain slope has a value of zero.
tilt
number (double)optionalThe off-horizontal tilt angle of modules for a fixed-tilt site.
tracker_axis_azimuth
number (double)optionalThe off north-south azimuth angle for a horizontal single axis tracking site. Most commonly this will be close to zero. North is 0, South is ±180, Eastward facing is negative values. Westward facing is positive values. For example, -90 is due east. It is used to calculate the incident irradiance for your modules.
tracker_back_tracking
booleanoptionalWhether the trackers backtrack at low solar elevation angles, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_max_rotation_angle
number (double)optionalThe maximum off-horizontal angle for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.
tracker_smart_tracking
booleanoptionalWhether the trackers move to horizontal during cloudy periods with zero DNI, for a horizontal single axis tracking site. It is used to calculate the incident irradiance for your modules.

PUT/resources/pv_power_site

Request
curl -X PUT "https://api.solcast.com.au/resources/pv_power_site" \
  -H "Authorization: Bearer $API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "capacity": 5,
  "capacity_dc": 5,
  "tracking_type": "fixed",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "resource_id": "0000-0000-0000-0000",
  "name": "Site Name",
  "latitude": -33.8567,
  "longitude": 151.2152
}'
Response
live example
200
{
  "resource_id": "0000-0000-0000-0000",
  "name": "Site Name",
  "latitude": -33.865,
  "longitude": 151.209,
  "capacity": 5,
  "capacity_dc": 5,
  "azimuth": 0,
  "tilt": 20,
  "tracking_type": "string",
  "install_date": "2024-07-01T00:00:00.0000000Z",
  "grid_export_limit": 1,
  "module_type": "string",
  "ground_coverage_ratio": 1,
  "derating_temp_module": 1,
  "derating_age_system": 1,
  "derating_other_system": 1,
  "inverter_peak_efficiency": 1,
  "tracker_axis_azimuth": 0,
  "tracker_max_rotation_angle": 1,
  "tracker_back_tracking": true,
  "tracker_smart_tracking": true,
  "terrain_slope": 1,
  "terrain_azimuth": 0,
  "dust_soiling_average": [
    1
  ],
  "bifacial_system": true,
  "site_ground_albedo": 1,
  "bifaciality_factor": 1,
  "pvrow_height": 1,
  "pvrow_width": 1,
  "clearsky_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ],
  "cloudy_zenith_coefficients": [
    {
      "day_of_year": 42,
      "signed_zenith_coefficients": {}
    }
  ]
}

Remove Resource

View as Markdown
DELETE/resources/pv_power_site

Query Parameters

1 field
resource_idrequired
string

The unique identifier of the resource.

Responses

204

No Content

DELETE/resources/pv_power_site

Request
curl -X DELETE "https://api.solcast.com.au/resources/pv_power_site?resource_id=0000-0000-0000-0000" \
  -H "Authorization: Bearer $API_KEY"
Response
200